// packageE/others/cloudwarehouse/cloud_index/cloud_index.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    member: '',
    avatar_image: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  goth(){
    wx.navigateTo({
      url: '/packageE/others/cloudwarehouse/pickUpArea/pickUpArea',
    });
  },
  gothdd(){
    wx.navigateTo({
      url: '/packageE/others/cloudwarehouse/cloudOrderList/cloudOrderList',
    });
  },
  gojd(){
    wx.navigateTo({
      url: '/packageE/others/cloudwarehouse/cloudRecord/cloudRecord',
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getdData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getdData(){
    let that = this;
    let urlStr = app.getNetAddresss("plugin.cloud-warehouse.frontend.user-cloud-warehouse.index");
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            member:res.data,
            avatar_image:res.data.avatar_image
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});